Social API reference

Social API · Conversations

delete/v1/communities/{community_id}/conversations/{conversation_id}/members/{member_actor_id}Auth

Remove a participant. Admin-only unless the acting `?actor_id=` equals the target (self-leave).

Path parameters

community_id*string

Social community UUID. Must belong to the PAK's workspace.

conversation_id*string

Conversation UUID.

member_actor_id*string

Target participant — social actor UUID.

Query parameters

actor_id*string · uuid

Acting actor UUID (equal to the target for self-leave).

Response · 204

Participant removed.

Example

Request

DELETE https://social.productcraft.co/v1/communities/{community_id}/conversations/{conversation_id}/members/{member_actor_id}
Authorization: Bearer YOUR_TOKEN